---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "20"
  version: 9030020240307112555
  context: 8cf767d6
  arch: s390x
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: c3453334f874464ad6b753508e3ce7aa313d1bac
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: d491f7bdce553a5be24c2ab3164ba56e2f8f3d09
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref:
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - nodejs-1:20.11.0-1.module_el9.3.0+58+cea2bba0.s390x
    - nodejs-1:20.11.0-1.module_el9.3.0+58+cea2bba0.src
    - nodejs-debuginfo-1:20.11.0-1.module_el9.3.0+58+cea2bba0.s390x
    - nodejs-debugsource-1:20.11.0-1.module_el9.3.0+58+cea2bba0.s390x
    - nodejs-devel-1:20.11.0-1.module_el9.3.0+58+cea2bba0.s390x
    - nodejs-docs-1:20.11.0-1.module_el9.3.0+58+cea2bba0.noarch
    - nodejs-full-i18n-1:20.11.0-1.module_el9.3.0+58+cea2bba0.s390x
    - nodejs-nodemon-0:3.0.1-1.module_el9.3.0+47+c33bc288.noarch
    - nodejs-nodemon-0:3.0.1-1.module_el9.3.0+47+c33bc288.src
    - nodejs-packaging-0:2021.06-4.module_el9.3.0+58+cea2bba0.noarch
    - nodejs-packaging-0:2021.06-4.module_el9.3.0+58+cea2bba0.src
    - nodejs-packaging-bundler-0:2021.06-4.module_el9.3.0+58+cea2bba0.noarch
    - npm-1:10.2.4-1.20.11.0.1.module_el9.3.0+58+cea2bba0.s390x
...
---
document: modulemd
version: 2
data:
  name: nodejs-devel
  stream: "20"
  version: 9030020240307112555
  context: 8cf767d6
  arch: s390x
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      nodejs: [20]
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: c3453334f874464ad6b753508e3ce7aa313d1bac
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: d491f7bdce553a5be24c2ab3164ba56e2f8f3d09
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref:
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
